Name:      argyllcms
Version:   1.8.3
Release:   %mkrel 1
Summary:   ICC compatible color management system
Group:     Graphics
License:   GPLv3 and BSD-like
URL:       http://www.argyllcms.com/
Source0:   http://people.freedesktop.org/~hughsient/releases/hargyllcms-%{version}.tar.xz

BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libxinerama-devel
BuildRequires: libxrandr-devel

Obsoletes: icclib < 2.14-6
Obsoletes: libicc-devel < 2.14-6
Obsoletes: lib64icc-devel < 2.14-6
Obsoletes: libicc2 < 2.14-6
Obsoletes: lib64icc2 < 2.14-6

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%prep
%setup -qn hargyllcms-%{version}

%build
%configure2_5x --enable-static --disable-shared
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files
%doc %{_datadir}/doc/argyll
%{_bindir}/*
%{_datadir}/color/argyll


%changelog
* Fri Jun 24 2016 bb <bb> 1.8.3-1pclos2016
- update for 2016

